// globals.h
//
// Global Variables for the CallCommander Logic Module Host
//
//   (C) Copyright 2002-2007 Fred Gleason <fredg@paravelsystems.com>
//
//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as
//   published by the Free Software Foundation; either version 2 of
//   the License, or (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public
//   License along with this program; if not, write to the Free Software
//   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//

#ifndef GLOBALS_H
#define GLOBALS_H

#include <vector>

#include <qsocketdevice.h>
#include <qtimer.h>

#include <rttydevice.h>

#include <bus_driver.h>
#include <mldconfig.h>
#include <ml.h>

extern MldConfig *mlm_config;
extern BusDriver *global_bus_driver;
extern bool global_shutdown_flag;
extern QSocketDevice *global_send_socket;
extern std::vector<QSocketDevice *> global_receive_sockets;
extern std::vector<RTTYDevice *> global_tty_devices;
extern QTimer *global_receive_timer;
extern QString global_show;
extern int global_show_state;
extern int global_console;
extern int global_console_mode;
extern int global_lstate[MAX_LINES];
extern int global_bank[MAX_LINES];
extern int global_line_console[MAX_LINES];
extern int global_watchdog_state;
extern int global_dump_state;
extern int global_busy_all_state;
extern int global_record_state;
extern int global_screen_state;
extern int global_mute_state;
extern int global_conference_state;
extern int global_vip_state;

#endif  // GLOBALS_H
